Search invoices

Requires the INVOICE.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
include_periodsbooleanOptional

Indicates whether the response should include period and group data (true or false)

include_linesbooleanOptional

Indicates whether the response should include invoice lines (true or false)

Request

This endpoint expects an object.
search_fieldslist of objectsRequired
filter_fieldslist of objectsRequired
selection_rule_fieldslist of objectsRequired

Response

OK
datalist of objects
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error